<?php
/**
 * FW Food menu 5.1.1
 * @copyright C 2019 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined('_JEXEC') or die('Restricted access');

class menuViewAddon extends JViewLegacy {
    function display($tmpl = null) {
        $this->menu = 'addon';
        $model = $this->getModel();
        
        JHTML::_('behavior.core');
        $this->app = JFactory::getApplication();
        
		$this->addons = $model->getPluginsData();
		$this->params = JComponentHelper::getParams('com_fwfoodmenu');
        fwFoodMenuHelper::triggerEvent('onLoadMainMenu', array('com_fwfoodmenu', 'addon', $this));
        parent::display();
    }
}
